
#define   STARTY      1994
#define   ENDY        2150
#define   DATA_MAX    130    
#define   BUFFER_MAX  31    
 void zero(void) ;
 void cntl(void) ;
 void readdata(void) ;
 void setjinko(void) ;

 void simlroud(void) ;
 void hiyousya(void) ;
 void simlkyos(void) ;
 void simlkyos_1_kok(void) ;
 void simlkyos_1_ren(void) ;
 void simlkyos_1_sig(void) ;
 void simlkyos_2_kok(void) ;
 void simlkyos_2_ren(void) ;
 void simlkyos_2_sig(void) ;
 void simlkyos_3_sig(void) ;
 void simlqkyos(void) ;
 void simlkou(void) ;
 void simlichisan(void) ;
 void simlpart(void) ;
 void simlpart_4(void) ;
 void fout(void) ;
 void roudfout(void) ;
 void cutout(void) ;

 double raund( double a, int b); 
 double min( double a, double b); 
 double max( double a, double b); 
 int read_csv(double buffer[], FILE *fp, int *data_number_ptr); 
 void karayomi( FILE *fp ); 
 void read_map( FILE *fp, int nendo); 
 void read_roud( FILE *fp, int ynendo1, int ynendo2 ); 
 void readkyos_1( int seido, int KYOREQB ); 
 void readkyos_2( int seido, int nendo );
 void readkyos_3( int seido, int JIN );  


